Last Comment Bug 552028 - Teach flight.mk about Camino-with-toolkit.jar
: Teach flight.mk about Camino-with-toolkit.jar
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: mozilla1.9.3a4
Assigned To: Smokey Ardisson (offline for a while; not following bugs - do not email)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-12 12:23 PST by Smokey Ardisson (offline for a while; not following bugs - do not email)
Modified: 2010-03-29 11:35 PDT (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.10-fixed


Attachments
Teach fix-buildconfig about Camino-with-toolkit.jar (785 bytes, patch)
2010-03-12 12:23 PST, Smokey Ardisson (offline for a while; not following bugs - do not email)
ted: review+
mbeltzner: approval1.9.2.4+
mbeltzner: approval1.9.1.10+
Details | Diff | Splinter Review

Description Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-03-12 12:23:06 PST
Created attachment 432203 [details] [diff] [review]
Teach fix-buildconfig about Camino-with-toolkit.jar

In order to create Universal Binaries of Camino-with-toolkit.jar, fix-buildconfig's variables in flight.mk need to reflect that Camino-with-toolkit.jar has toolkit.jar.
Comment 1 Phil Ringnalda (:philor, back in August) 2010-03-12 12:37:14 PST
It's always a tough bet, figuring how someone will break you by not seeing you at some time in the future, but I'd think that just moving to a single assignment to BUILDCONFIG_JAR for everyone, right below where APP_CONTENTS is set, would be safer.
Comment 2 Phil Ringnalda (:philor, back in August) 2010-03-12 12:45:17 PST
Gah, except you need to land on a branch or more, so your redundant but clearly NPOTB way is actually better.
Comment 3 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-03-17 17:42:30 PDT
Landed on trunk:

http://hg.mozilla.org/mozilla-central/rev/36e430e9901a

Phil, if you think moving stuff around there is a good idea, I'm fine with filing a follow-up, but as you noted and we discussed, this route is the easiest and therefore the best one for what we actually *need* for Camino :-)
Comment 4 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-03-17 17:46:40 PDT
Comment on attachment 432203 [details] [diff] [review]
Teach fix-buildconfig about Camino-with-toolkit.jar

Requesting branch approvals for this patch, which is needed for Universal Camino builds on 1.9.x>0.

This change is inside a Camino-only ifdef and as such only affects Camino.
Comment 5 Serge Gautherie (:sgautherie) 2010-03-22 09:21:00 PDT
Comment on attachment 432203 [details] [diff] [review]
Teach fix-buildconfig about Camino-with-toolkit.jar


(In reply to comment #4)

You don't need approval for NPOTB changes ;-)
Comment 6 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-03-22 14:36:27 PDT
Serge, don't cancel my flag requests; you're not the patch author, module owner or peer, or a branch driver.

Further, to quote the tinderboxen rules:

"Bugs must have approval1.9.1.10+ from the 1.9.1-branch triage team
(or not touch files shared by Firefox or XULRunner and have branch approval from the owners of that part of the code)"

"The only patches permitted to land on mozilla-1.9.2 are patches that have explicit approval1.9.2.3+"
Comment 7 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-03-22 14:39:33 PDT
Comment on attachment 432203 [details] [diff] [review]
Teach fix-buildconfig about Camino-with-toolkit.jar

Drivers, please see comment 4 for the full explanation from when I originally requested approval before the request was erroneous cancelled out from from under me (but, in short, Camino needs this fix to be able to ship, and the change is inside a Camino-only ifdef, so the change will only affect Camino).  Thanks.
Comment 8 Serge Gautherie (:sgautherie) 2010-03-22 17:46:53 PDT
(In reply to comment #6)

I know the tinderbox rules, yet my comment 5 stands: that's how we do for OS/2 for example.
But if you insist on requesting approval, fine with me.
Comment 9 Mike Beltzner [:beltzner, not reading bugmail] 2010-03-29 10:51:02 PDT
Comment on attachment 432203 [details] [diff] [review]
Teach fix-buildconfig about Camino-with-toolkit.jar

a=beltzner for 1.9.1.10 and 1.9.2.3
Comment 10 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-03-29 11:35:04 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/c102cbe300db
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/8f0e089e1a05

Note to QA: this is a build-only fix that can only be verified by the successful creation of Camino nightlies (or by code inspection); there aren't currently Camino nightlies on either of these branches, but I do hope to have 1.9.2 nightlies by the end of the week now that this bug is in :)

Note You need to log in before you can comment on or make changes to this bug.